View Issue Details

This bug affects 1 person(s).
 12
IDProjectCategoryView StatusLast Update
16187Bug reportsOtherpublic2022-11-28 11:11
Reportermarcgold Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.22.14 
Summary16187: Cant Create Custom Survey ID (need proper error message)
Description

When we create a survey we create a custom ID which matches our project code.
Since updating the latest version 3.22.14. when we create a new survey the custom Survey ID is not saved.

We use 4 digit Custom Survey ID's
We Copy a template survey which has the basics in and we add questions to this.

Steps To Reproduce

Add new survey >> Copy
Select survey we are copying
Add Unique Name
Add 4 digit Survey ID

TagsNo tags attached.
Bug heat12
Complete LimeSurvey version number (& build)Version 3.22.14+200423
I will donate to the project if issue is resolvedNo
Browserany
Database type & versionn/a
Server OS (if known)Centos 6
Webserver software & version (if known)
PHP Version7.3

Relationships

related to 18415 ready for code reviewgabrieljenik Copy Survey: New Title shouldn't be mandatory 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

marcgold

marcgold

2020-04-26 13:44

reporter   ~57370

Please Ignore this - just figure out i was being an idiot - already had a survey with that ID.

DenisChenu

DenisChenu

2020-04-27 09:13

developer   ~57374

Last edited: 2020-12-28 19:06

Please Ignore this - just figure out i was being an idiot - already had a survey with that ID.

My opinion : in this cas : we must add an warning somewhere , no ?

ollehar

ollehar

2020-04-27 11:18

administrator   ~57382

Last edited: 2020-12-28 19:06

I agree with Denis - there should be a clear error message.

cdorin

cdorin

2020-07-10 00:03

reporter   ~58884

Last edited: 2020-12-28 19:06

To be added in LS4 imo

DenisChenu

DenisChenu

2020-07-10 08:02

developer   ~58892

Last edited: 2020-12-28 19:06

Unsure : it's a minor issue but a minoir fix too (adding a App()->addFlashMessage) , i can look at 3.X if you want.

gabrieljenik

gabrieljenik

2022-10-13 14:57

manager   ~72234

PR Master: https://github.com/LimeSurvey/LimeSurvey/pull/2663
If good, will do also for LTS

gabrieljenik

gabrieljenik

2022-11-02 11:03

manager   ~72508

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=34012

LimeBot

LimeBot

2022-11-07 11:31

administrator   ~72585

Fixed in Release 5.4.10+221107

gabrieljenik

gabrieljenik

2022-11-07 14:05

manager   ~72607

To be applied on LTS as well

gabrieljenik

gabrieljenik

2022-11-14 15:30

manager   ~72722

LTS: https://github.com/LimeSurvey/LimeSurvey/pull/2725

marcgold

marcgold

2022-11-15 12:11

reporter   ~72742

Tested in Version 5.4.11 - Not working - Create a new Survey by copy, use an ID previously used. Result No Error and Random ID is assigned.
Tested in Version 3.28.38 - Not working - Create a new Survey by copy, use an ID previously used. Result No Error and Random ID is assigned.

marcgold

marcgold

2022-11-15 12:12

reporter   ~72743

Sorry, just realised its not in the master yet, will pull the code and test again

marcgold

marcgold

2022-11-15 16:35

reporter   ~72745

Ok Tested in both versions

LTS - New Message next to optional and Warning message on submit - but both fairly easy to miss IMHO.
LS5 - New Message next to optional - No error message after submitting as in LTS.

However, easy to mis and by this point the error has already occurred. I would suggest it is more user friendly to use an alert message on submit or an ajax listener on the field. I did try and code this in PHP with a JS alert - but TBH my coding skills are not upto it.

However in Pseudo Code:

if (NewID == AnExistingID) {
Alert Message ("ID XXXXX already exists, if you continue a random ID will be created!")
OK --> Create New Survey with Random ID
Cancel --> Return to enter New ID manually

Or this can be done via Ajax before submitting

I wouldn't bother doing this in LTS - but would be cleaner to have in LS5+

gabrieljenik

gabrieljenik

2022-11-15 22:07

manager   ~72748

LS5 - New Message next to optional - No error message after submitting as in LTS.

You didn't get a warning message? Are you sure?

marcgold

marcgold

2022-11-16 12:12

reporter   ~72758

Retested in LS5 - sorry your correct it is there - missed it.

gabrieljenik

gabrieljenik

2022-11-16 13:45

manager   ~72761

However, easy to mis and by this point the error has already occurred. I would suggest it is more user friendly to use an alert message on submit or an ajax listener on the field

I would say we need a new Feature Request for that.
Please, feel free to open one.
Sorry.

marcgold

marcgold

2022-11-16 13:49

reporter   ~72762

Gabriel: Noted and agreed

gabrieljenik

gabrieljenik

2022-11-16 14:28

manager   ~72767

Tested LTS

marcgold

marcgold

2022-11-16 14:29

reporter   ~72769

Yes Tested in LTS.
LTS - New Message next to optional and Warning message on submit

gabrieljenik

gabrieljenik

2022-11-21 11:53

manager   ~72834

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=34053

LimeBot

LimeBot

2022-11-28 11:11

administrator   ~72912

Fixed in Release 3.28.40+221129

Related Changesets

LimeSurvey: master dd61c9f8

2022-11-02 11:02:46

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16187: No proper error message when copying survey and ID already exists (#2663)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
16187
mod - application/helpers/admin/import_helper.php Diff File
mod - application/views/surveyAdministration/tabCopy_view.php Diff File

LimeSurvey: 3.x-LTS 7b943158

2022-11-21 11:12:47

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16187: Cant Create Custom Survey ID (need proper error message) (#2725)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>
Affected Issues
16187
mod - application/helpers/admin/import_helper.php Diff File
mod - application/views/admin/survey/subview/tabCopy_view.php Diff File

Issue History

Date Modified Username Field Change
2020-04-26 13:38 marcgold New Issue
2020-04-26 13:44 marcgold Note Added: 57370
2020-04-27 09:13 DenisChenu Note Added: 57374
2020-04-27 11:18 ollehar Summary Cant Create Custom Survey ID => Cant Create Custom Survey ID (need proper error message)
2020-04-27 11:18 ollehar Note Added: 57382
2020-04-27 11:29 cdorin Priority none => low
2020-04-27 11:29 cdorin Status new => confirmed
2020-04-27 11:29 cdorin Zoho Sprints => |Yes|
2020-04-27 11:29 swendrich Zoho Sprints ID => 14469000000059001
2020-04-27 11:30 ollehar Priority low => normal
2020-04-27 11:30 ollehar Zoho Sprints Yes => |Yes|
2020-07-10 00:03 cdorin Assigned To => cdorin
2020-07-10 00:03 cdorin Status confirmed => assigned
2020-07-10 00:03 cdorin Note Added: 58884
2020-07-10 00:04 cdorin Note Edited: 58884
2020-07-10 08:02 DenisChenu Note Added: 58892
2020-12-28 19:06 cdorin Assigned To cdorin =>
2020-12-28 19:06 cdorin Status assigned => confirmed
2020-12-28 19:06 cdorin Sync to Zoho Project => |Yes|
2022-10-11 23:04 gabrieljenik Assigned To => gabrieljenik
2022-10-11 23:04 gabrieljenik Status confirmed => assigned
2022-10-13 14:57 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-10-13 14:57 gabrieljenik Status assigned => ready for code review
2022-10-13 14:57 gabrieljenik Note Added: 72234
2022-10-13 14:57 gabrieljenik Bug heat 8 => 10
2022-10-13 14:58 gabrieljenik Issue cloned: 18415
2022-10-13 14:58 gabrieljenik Relationship added related to 18415
2022-10-13 15:03 DenisChenu Assigned To DenisChenu =>
2022-10-13 15:03 DenisChenu Status ready for code review => ready for testing
2022-10-13 15:08 gabrieljenik Assigned To => gabrieljenik
2022-10-18 15:02 gabrieljenik Assigned To gabrieljenik => ollehar
2022-10-18 15:02 gabrieljenik Status ready for testing => ready for merge
2022-11-02 11:03 gabrieljenik Changeset attached => LimeSurvey master dd61c9f8
2022-11-02 11:03 gabrieljenik Note Added: 72508
2022-11-02 11:03 gabrieljenik Assigned To ollehar => gabrieljenik
2022-11-02 11:03 gabrieljenik Resolution open => fixed
2022-11-07 11:31 LimeBot Note Added: 72585
2022-11-07 11:31 LimeBot Status ready for merge => closed
2022-11-07 11:31 LimeBot Bug heat 10 => 12
2022-11-07 14:05 gabrieljenik Status closed => assigned
2022-11-07 14:05 gabrieljenik Note Added: 72607
2022-11-14 15:30 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-11-14 15:30 gabrieljenik Status assigned => ready for code review
2022-11-14 15:30 gabrieljenik Note Added: 72722
2022-11-15 10:30 DenisChenu Assigned To DenisChenu =>
2022-11-15 10:30 DenisChenu Status ready for code review => ready for testing
2022-11-15 12:11 marcgold Note Added: 72742
2022-11-15 12:12 marcgold Note Added: 72743
2022-11-15 16:35 marcgold Note Added: 72745
2022-11-15 22:07 gabrieljenik Note Added: 72748
2022-11-16 12:12 marcgold Note Added: 72758
2022-11-16 13:45 gabrieljenik Note Added: 72761
2022-11-16 13:49 marcgold Note Added: 72762
2022-11-16 14:28 gabrieljenik Assigned To => ollehar
2022-11-16 14:28 gabrieljenik Status ready for testing => ready for merge
2022-11-16 14:28 gabrieljenik Note Added: 72767
2022-11-16 14:29 marcgold Note Added: 72769
2022-11-21 11:53 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 7b943158
2022-11-21 11:53 gabrieljenik Note Added: 72834
2022-11-21 11:53 gabrieljenik Assigned To ollehar => gabrieljenik
2022-11-28 11:11 LimeBot Note Added: 72912
2022-11-28 11:11 LimeBot Status ready for merge => closed